package com.tofly.ghrq_route.module.map.service;

import com.esri.arcgisruntime.data.Feature;
import com.esri.arcgisruntime.data.Field;
import com.tofly.ghrq_route.module.map.domain.PipeQueryBean;

import java.util.List;
import java.util.Map;

/**
 * Created by lihualong on 2017/6/23.
 */

public class Container {
    public interface HideSearchCallback {
        void clossPipeSearchToggle();
    }

    public interface OnResultClickListener{
        void showCalloutAtMap(Feature feature, int position);
    }

    public interface OnMapShowListener{
        void showAtMap(Feature feature);
    }

    public interface ShowQueryRsultCallback{
        void showResult(Feature ff, List<Field> fields, List<Feature> whichLayerList, String
                tableName, List<PipeQueryBean> allResults);
        void showOnlineResult(Feature result0, List<Feature> results, String tabbleName, Map<String, List<Feature>> layersMap);
    }



    public interface ShowOnlineQueryRsultCallback{
        void showOnlineReuslt(boolean isSuccess, Feature result0, List<Feature> results, String tabbleName);
    }

    public interface ShowOnlineQueryWithKeyCallback{
        void showOnlineReuslt(boolean isSuccess, String errStr, Object result);
    }
}
